libsoup-gnome2.4-1_2.52.2-1_amd64.deb


Advertisement

Description

libsoup-gnome2.4-1 - HTTP library implementation in C -- GNOME support library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libsoup-gnome2.4-1_2.52.2-1_amd64.deb
Package name libsoup-gnome2.4-1
Package version 2.52.2
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 4.87 KB
Installed size 80.00 KB
It was originally part of a SOAP (Simple Object Access Protocol)
implementation called Soup, but the SOAP and non-SOAP parts have now been
split into separate packages.
libsoup uses the Glib main loop and is designed to work well with GTK+
applications.  This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the GTK+ programming model (a synchronous operation mode is also
supported for those who want it).
The GNOME support library is used for features which are important to
GNOME apps, but which require GNOME-specific libraries that non-GNOME
apps may not want to add dependencies on.
Features:
* Both asynchronous (GMainLoop and callback-based) and synchronous APIs
* Automatically caches connections
* SSL Support using GnuTLS
* Proxy support, including authentication and SSL tunneling
* Client support for Digest, NTLM, and Basic authentication
* Server support for Digest and Basic authentication
* Basic client-side SOAP and XML-RPC support
This package contains the GNOME support shared library.

Alternatives

Package Version Architecture Repository
libsoup-gnome2.4-1_2.52.2-1ubuntu0.3_i386.deb 2.52.2 i386 Ubuntu Updates Main
libsoup-gnome2.4-1_2.52.2-1ubuntu0.3_amd64.deb 2.52.2 amd64 Ubuntu Updates Main
libsoup-gnome2.4-1_2.52.2-1_i386.deb 2.52.2 i386 Ubuntu Main
libsoup-gnome2.4-1 - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.39.90
libsoup2.4-1 >= 2.41.90

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libsoup-gnome2.4-1_2.52.2-1_amd64.deb
Source Package libsoup2.4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsoup-gnome2.4-1 deb package:
    # sudo apt-get install libsoup-gnome2.4-1

Files

Path
/usr/lib/x86_64-linux-gnu/libsoup-gnome-2.4.so.1
/usr/lib/x86_64-linux-gnu/libsoup-gnome-2.4.so.1.7.0
/usr/share/doc/libsoup-gnome2.4-1/AUTHORS
/usr/share/doc/libsoup-gnome2.4-1/NEWS.gz
/usr/share/doc/libsoup-gnome2.4-1/README
/usr/share/doc/libsoup-gnome2.4-1/changelog.Debian.gz
/usr/share/doc/libsoup-gnome2.4-1/copyright

Changelog

2015-11-10 - Michael Biebl <biebl@debian.org>
libsoup2.4 (2.52.2-1) unstable; urgency=medium
* New upstream release.
* Remove outdated comment from debian/rules.
2015-10-13 - Michael Biebl <biebl@debian.org>
libsoup2.4 (2.52.1-1) unstable; urgency=medium
[ Iain Lane ]
* Run the testsuite verbosely to get info about failures
[ Michael Biebl ]
* New upstream release.
* Drop obsolete Conflicts and Replaces from pre-wheezy.
[ Steven Chamberlain ]
* Re-enable testsuite on non-Linux platforms.
2015-09-27 - Andreas Henriksson <andreas@fatal.se>
libsoup2.4 (2.52.0-1) unstable; urgency=medium
[ Michael Biebl ]
* Track stable releases in debian/watch.
[ Andreas Henriksson ]
* New upstream release.
* Add valac build-dependency for vapigen
- soup now generates its own vapi
* libsoup2.4-dev: ship generated vala api libsoup-2.4.vapi
* Update debian/libsoup2.4-1.symbols with many additions.
2015-05-23 - Emilio Pozuelo Monfort <pochu@debian.org>
libsoup2.4 (2.50.0-2) unstable; urgency=medium
* Upload to unstable.
2015-04-02 - Iain Lane <laney@debian.org>
libsoup2.4 (2.50.0-1) experimental; urgency=medium
* New upstream release 2.50.0
+ Updated translations
2015-03-18 - Iain Lane <laney@debian.org>
libsoup2.4 (2.49.92-1) experimental; urgency=medium
* New upstream release 2.49.92
+ Fixed an NTLM problem that caused spurious "Authentication Failed"
errors in evolution-ews.
2015-03-04 - Iain Lane <laney@debian.org>
libsoup2.4 (2.49.91.1-1) experimental; urgency=medium
* New upstream release 2.49.91.1
* Add new symbols for this release
2014-11-26 - Iain Lane <laney@debian.org>
libsoup2.4 (2.49.1-1) experimental; urgency=medium
* debian/watch: Also consider unstable versions, for exp
* New upstream release 2.49.1:
+ Fixed a bug in the SoupMessage:event signal that broke evolution's
ability to connect to https hosts with "bad" certificates.
+ Fixed a case where the async codepaths could potentially block on a
synchronous write
+ Fixed the symbol soup_server_set_ssl_cert_file() to get exported, and
added soup_server_get_uris() to the documentation.
+ Improved a bunch of introspection annotations
* Re-add change which was accidentally dropped: Use dh-autoreconf to update
for new ports.
* Bump Standards-Version to 3.9.6, no further changes required.
* Add new symbol soup_server_set_ssl_cert_file exported in this version.
2014-09-23 - Andreas Henriksson <andreas@fatal.se>
libsoup2.4 (2.48.0-1) unstable; urgency=medium
* New upstream release.
2014-09-05 - Sjoerd Simons <sjoerd@debian.org>
libsoup2.4 (2.47.4-1) experimental; urgency=medium
* New upstream release

See Also

Package Description
libsoup-gnome2.4-dev_2.52.2-1_amd64.deb HTTP library implementation in C -- GNOME support development files
libsoup2.4-1_2.52.2-1_amd64.deb HTTP library implementation in C -- Shared library
libsoup2.4-dev_2.52.2-1_amd64.deb HTTP library implementation in C -- Development files
libsoup2.4-doc_2.52.2-1_all.deb HTTP library implementation in C -- API Reference
libspectre-dev_0.2.7-3ubuntu2_amd64.deb Library for rendering PostScript documents - development files
libspectre1_0.2.7-3ubuntu2_amd64.deb Library for rendering PostScript documents
libspeechd-dev_0.8.3-1ubuntu3_amd64.deb Speech Dispatcher: Development libraries and header files
libspeechd2_0.8.3-1ubuntu3_amd64.deb Speech Dispatcher: Shared libraries
libspeex-dev_1.2~rc1.2-1ubuntu1_amd64.deb The Speex codec library development files
libspeex1_1.2~rc1.2-1ubuntu1_amd64.deb The Speex codec runtime library
libspeexdsp-dev_1.2~rc1.2-1ubuntu1_amd64.deb The Speex extended library development files
libspeexdsp1_1.2~rc1.2-1ubuntu1_amd64.deb The Speex extended runtime library
libspice-protocol-dev_0.12.10-1_all.deb SPICE protocol headers
libspice-server-dev_0.12.6-4_amd64.deb Header files and development documentation for spice-server
libspice-server1_0.12.6-4_amd64.deb Implements the server side of the SPICE protocol
Advertisement
Advertisement